Skip to main content
POST
/
contacts
Create contact
curl --request POST \
  --url https://api.amplemarket.com/contacts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "<string>",
  "first_name": "<string>",
  "last_name": "<string>",
  "title": "<string>",
  "city": "<string>",
  "state": "<string>",
  "country": "<string>",
  "industry": "<string>",
  "linkedin_url": "<string>",
  "owner_email": "<string>",
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "crm_account_id": "<string>",
  "company_domain": "<string>",
  "company_name": "<string>",
  "phone_numbers": [
    {
      "number": "<string>"
    }
  ]
}
'
import requests

url = "https://api.amplemarket.com/contacts"

payload = {
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"title": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"industry": "<string>",
"linkedin_url": "<string>",
"owner_email": "<string>",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"crm_account_id": "<string>",
"company_domain": "<string>",
"company_name": "<string>",
"phone_numbers": [{ "number": "<string>" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '<string>',
first_name: '<string>',
last_name: '<string>',
title: '<string>',
city: '<string>',
state: '<string>',
country: '<string>',
industry: '<string>',
linkedin_url: '<string>',
owner_email: '<string>',
account_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
crm_account_id: '<string>',
company_domain: '<string>',
company_name: '<string>',
phone_numbers: [{number: '<string>'}]
})
};

fetch('https://api.amplemarket.com/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "019f3cf5-cfa1-7041-aa3c-19ffe9ae6664",
  "name": "Jane Doe",
  "first_name": "Jane",
  "last_name": "Doe",
  "linkedin_url": null,
  "email": "new-contact@example.com",
  "time_zone": null,
  "location": null,
  "title": "CEO",
  "company_domain": "amplemarket.com",
  "company_name": "Amplemarket",
  "owner": null,
  "last_contacted_at": null,
  "phone_numbers": [],
  "recent_activity": []
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
email
string
required

Contact email

first_name
string

Contact first name

last_name
string

Contact last name

title
string

Contact job title

city
string

Contact city

state
string

Contact state or region

country
string

Contact country

industry
string

Contact industry

linkedin_url
string<uri>

Contact LinkedIn profile URL

owner_email
string

Email of the Amplemarket user that should own the contact

account_id
string<uuid>

Prospect Hub account public ID to associate to the contact

crm_account_id
string

CRM account identifier used to resolve the Prospect Hub account association

company_domain
string

Company domain used to resolve the Prospect Hub account association

company_name
string

Company name used as a fallback to resolve the Prospect Hub account association

phone_numbers
object[]

Phone numbers to attach to the contact as user-uploaded numbers

Response

Created

id
string<uuid>
required
email
string | null
required
name
string | null
first_name
string | null
last_name
string | null
linkedin_url
string<uri> | null
title
string | null
location
string | null
time_zone
string | null
company_name
string | null
company_domain
string | null
owner
string | null
last_contacted_at
string<date_time> | null
phone_numbers
object[]
recent_activity
object[]